## Struct l1_visitor

boost::log::attribute_value_ordering::l1_visitor

## Synopsis

    // In header: <boost/log/utility/record_ordering.hpp>

    struct l1_visitor {
      // types
      typedef void result_type;

      // construct/copy/destruct
      l1_visitor(attribute_value_ordering const &, record_view const &, bool &);

      // public member functions
      template<typename LeftT> result_type operator()(LeftT const &) const;
    };

## Description

### `l1_visitor` public construct/copy/destruct

1.     l1_visitor(attribute_value_ordering const & owner, record_view const & right,
                  bool & result);

### `l1_visitor` public member functions

1.     template<typename LeftT> result_type operator()(LeftT const & left) const;